Package owl.translations

## Class LTL2DAFunction

- java.lang.Object
- - owl.translations.LTL2DAFunction

- All Implemented Interfaces:
    `Function<LabelledFormula,​Automaton<?,​?>>`

      public final class LTL2DAFunction
      extends Object
      implements Function<LabelledFormula,​Automaton<?,​?>>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `LTL2DAFunction.Constructions` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LTL2DAFunction​(Environment environment)` |
    `LTL2DAFunction​(Environment environment, boolean onTheFly, EnumSet<LTL2DAFunction.Constructions> allowedConstructions)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Automaton<?,​?>` | `apply​(LabelledFormula formula)` |
    `static Automaton<EquivalenceClass,​BuchiAcceptance>` | `coSafety​(Environment environment, LabelledFormula formula)` |
    `static Automaton<EquivalenceClass,​CoBuchiAcceptance>` | `fgSafety​(Environment environment, LabelledFormula formula)` |
    `static Automaton<RoundRobinState<EquivalenceClass>,​CoBuchiAcceptance>` | `fgSafetyInterleaved​(Environment environment, LabelledFormula formula)` |
    `static Automaton<BreakpointState<EquivalenceClass>,​CoBuchiAcceptance>` | `fSafety​(Environment environment, LabelledFormula formula)` |
    `static Automaton<BreakpointState<EquivalenceClass>,​BuchiAcceptance>` | `gCoSafety​(Environment environment, LabelledFormula formula)` |
    `static Automaton<RoundRobinState<EquivalenceClass>,​GeneralizedBuchiAcceptance>` | `gfCoSafety​(Environment environment, LabelledFormula formula, boolean generalized)` |
    `static Automaton<EquivalenceClass,​AllAcceptance>` | `safety​(Environment environment, LabelledFormula formula)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Constructor Detail

    - #### LTL2DAFunction

          public LTL2DAFunction​(Environment environment)

    - #### LTL2DAFunction

          public LTL2DAFunction​(Environment environment,
                                boolean onTheFly,
                                EnumSet<LTL2DAFunction.Constructions> allowedConstructions)

  - ### Method Detail

    - #### apply

          public Automaton<?,​?> apply​(LabelledFormula formula)

      Specified by:
        `apply` in interface `Function<LabelledFormula,​Automaton<?,​?>>`

    - #### safety

          public static Automaton<EquivalenceClass,​AllAcceptance> safety​(Environment environment,
                                                                               LabelledFormula formula)

    - #### coSafety

          public static Automaton<EquivalenceClass,​BuchiAcceptance> coSafety​(Environment environment,
                                                                                   LabelledFormula formula)

    - #### gfCoSafety

          public static Automaton<RoundRobinState<EquivalenceClass>,​GeneralizedBuchiAcceptance> gfCoSafety​(Environment environment,
                                                                                                                 LabelledFormula formula,
                                                                                                                 boolean generalized)

    - #### fgSafety

          public static Automaton<EquivalenceClass,​CoBuchiAcceptance> fgSafety​(Environment environment,
                                                                                     LabelledFormula formula)

    - #### fgSafetyInterleaved

          public static Automaton<RoundRobinState<EquivalenceClass>,​CoBuchiAcceptance> fgSafetyInterleaved​(Environment environment,
                                                                                                                 LabelledFormula formula)

    - #### gCoSafety

          public static Automaton<BreakpointState<EquivalenceClass>,​BuchiAcceptance> gCoSafety​(Environment environment,
                                                                                                     LabelledFormula formula)

    - #### fSafety

          public static Automaton<BreakpointState<EquivalenceClass>,​CoBuchiAcceptance> fSafety​(Environment environment,
                                                                                                     LabelledFormula formula)